<?xml version="1.0" encoding="UTF-8"?>
<phpunit
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  colors="true"
  bootstrap="tests/bootstrap.php"
  xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.3/phpunit.xsd"
>
    <!-- Ignore vendor tests in code coverage reports -->
    <coverage>
        <include>
            <directory suffix=".php">./src/</directory>
        </include>
    </coverage>

    <php>
        <ini name="memory_limit" value="-1"/>
        <ini name="apc.enable_cli" value="1"/>
    </php>

    <testsuites>
        <testsuite name="CakephpBeanstalk Test Suite">
            <directory>./tests/TestCase</directory>
        </testsuite>
    </testsuites>

  <extensions>
    <extension class="\Cake\TestSuite\Fixture\PHPUnitExtension" />
  </extensions>
</phpunit>
